<raamCard [title]="''">
  <div fxLayout="column" fxFlex>
    <div fxLayout="row">
      <div fxFlex="24" fxLayout="column">

        <div fxLayout="row" fxFlexOffset="1" fxLayoutAlign="start center">
          <raamColor [color]="container.color" fxFlex="15">
          </raamColor>
          <div fxFlex="70" fxLayoutAlign="center center">
            <span class="raamHintText">{{container.name}}</span>
          </div>
        </div>

        <div fxLayout="row" fxFlexOffset="5">
          <span class="raamHintText" fxFlexOffset="1.5">Format: {{container.format}}</span>
        </div>

        <div fxLayout="row" fxFlexOffset="1">
          <span class="raamHintText" fxFlexOffset="1.5">Color: {{container.color}}</span>
        </div>

      </div>

      <div fxFlex="1" fxLayout="column">
        <div class="dividerH"></div>
      </div>

      <div fxFlex="75" fxLayout="column">

        <!-- ============================================ Parameter Display ============================================ -->
        <raamHeadline title="Parameters"></raamHeadline>
        <div class="row">
          <containerPill fxFlex="19" fxFlexOffset="1"
                         *ngFor="let param of container.parameters" [param]="param"></containerPill>
        </div>
      </div>
    </div>
    <div fxLayout="row" fxLayoutAlign="end end">
      <raamInput [title]="'URL'" [value]="container.url" (valueChange)="container.url = $event" fxFlex></raamInput>
      <button class="btn btn-outline-primary square" (click)="putContainer()" fxFlexOffset="1">Save</button>
    </div>
  </div>

</raamCard>

<!--<raamInput title="Description" [value]="container.description" (valueChange)="container.description = $event"-->
<!--[areaText]="true"></raamInput>-->
